.overlay {
  @include breakpoint($large) {
    width: 500px !important;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    color: $color-heading;
  }

  .slide-pane__content {
    padding: 4rem $global-padding-mobile 2rem;
    /*display:flex;
    align-items:flex-start;
    flex-wrap:wrap;*/

    @include breakpoint($large) {
      padding: 4rem $global-padding-box-desktop 2rem;
    }
  }
}

.slide-pane {
  display: flex;
  flex-direction: column;
  background: #fff;
  min-width: 100px;
  height: 100%;
  box-shadow: 0 2px 5px 8px rgba(0, 0, 0, 0.05);
  transition: transform 0.5s;
  will-change: transform;
}
.slide-pane:focus {
  outline-style: none;
}
.slide-pane_from_right {
  margin-left: auto;
  transform: translateX(100%);
}
.slide-pane_from_right.ReactModal__Content--after-open {
  transform: translateX(0%);
}
.slide-pane_from_right.ReactModal__Content--before-close {
  transform: translateX(100%);
}
.slide-pane_from_left {
  margin-right: auto;
  transform: translateX(-100%);
}
.slide-pane_from_left.ReactModal__Content--after-open {
  transform: translateX(0%);
}
.slide-pane_from_left.ReactModal__Content--before-close {
  transform: translateX(-100%);
}
.slide-pane_from_top {
  transform: translateY(-100%);
}
.slide-pane_from_top.ReactModal__Content--after-open {
  transform: translateY(0%);
}
.slide-pane_from_top.ReactModal__Content--before-close {
  transform: translateY(-100%);
}
.slide-pane_from_bottom {
  transform: translateY(100%);
}
.slide-pane_from_bottom.ReactModal__Content--after-open {
  transform: translateY(0%);
}
.slide-pane_from_bottom.ReactModal__Content--before-close {
  transform: translateY(100%);
}
.slide-pane__overlay {
  position: fixed;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  background-color: rgba(0, 0, 0, 0);
}
.slide-pane__overlay.ReactModal__Overlay--after-open {
  background-color: rgba(0, 0, 0, 0.3);
  transition: background-color 0.5s;
}
.slide-pane__overlay.ReactModal__Overlay--before-close {
  background-color: rgba(0, 0, 0, 0);
}
.slide-pane__header {
  display: flex;
  flex: 0 0 64px;
  align-items: center;
  background: #ebebeb;
  height: 64px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}
.slide-pane__title-wrapper {
  display: flex;
  flex: 1 1 0%;
  flex-direction: column;
  margin-left: 32px;
  min-width: 0;
}
.slide-pane__title {
  font-size: 18px;
  font-weight: normal;
  max-width: 80%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  margin: 0;
  padding: 0;
}
.slide-pane__close {
  position: absolute;
  top: 0;
  right: 0;
  width: 60px;
  height: 60px;

  .close {
    position: fixed;
    line-height: 1;
    height: 48px;
    width: 48px;
    border-radius: 50%;
    border: 1px solid #cfcfcf;
    background-color: #fff;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);

    &:hover {
      svg {
        fill: $color-accessibleGrey;
      }
    }

    svg {
      fill: $color-oceanBlue;
    }

    .icon {
      display: block;
      height: 16px;
      width: 16px;
      margin: 16px;
    }
  }
}



.slide-pane__content {
  position: relative;
  overflow-y: auto;
  padding: 24px 32px;
  flex: 1 1 auto;
  //height:3000px
}
.slide-pane__subtitle {
  font-size: 12px;
  margin-top: 2px;
}

.some-custom-class {
  transition: transform 2s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.ReactModal__Body--open {
  overflow: hidden;
  height: 100%;
}
